<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: php4DOMElement Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>php4DOMElement Class Reference</h1><!-- doxytag: class="php4DOMElement" --><!-- doxytag: inherits="php4DOMNode" --><div class="dynheader">
Inheritance diagram for php4DOMElement:</div>
<div class="dynsection">
 <div class="center">
  <img src="classphp4_d_o_m_element.gif" usemap="#php4DOMElement_map" alt=""/>
  <map id="php4DOMElement_map" name="php4DOMElement_map">
<area href="classphp4_d_o_m_node.html" alt="php4DOMNode" shape="rect" coords="0,0,114,24"/>
</map>
 </div>
</div>

<p><a href="classphp4_d_o_m_element-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html#a7bda465607e936d66d60d963b7b4e656">get_attribute</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html#a10d890aa30dfea3043b4f7f5615a057e">get_elements_by_tagname</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html#a009a195fb0d4572a7e4c20693d4970e5">has_attribute</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html#a13fe5ba662a68ec81a094fc1afd95f31">remove_attribute</a> ($name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html#a656be67ed89c2488b3a95239578ec12f">set_attribute</a> ($name, $value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp4_d_o_m_element.html#addd50468f79e01d5d37e5e68fd1ab10c">tagname</a> ()</td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7bda465607e936d66d60d963b7b4e656"></a><!-- doxytag: member="php4DOMElement::get_attribute" ref="a7bda465607e936d66d60d963b7b4e656" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMElement::get_attribute </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a10d890aa30dfea3043b4f7f5615a057e"></a><!-- doxytag: member="php4DOMElement::get_elements_by_tagname" ref="a10d890aa30dfea3043b4f7f5615a057e" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMElement::get_elements_by_tagname </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a009a195fb0d4572a7e4c20693d4970e5"></a><!-- doxytag: member="php4DOMElement::has_attribute" ref="a009a195fb0d4572a7e4c20693d4970e5" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMElement::has_attribute </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a13fe5ba662a68ec81a094fc1afd95f31"></a><!-- doxytag: member="php4DOMElement::remove_attribute" ref="a13fe5ba662a68ec81a094fc1afd95f31" args="($name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMElement::remove_attribute </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a656be67ed89c2488b3a95239578ec12f"></a><!-- doxytag: member="php4DOMElement::set_attribute" ref="a656be67ed89c2488b3a95239578ec12f" args="($name, $value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMElement::set_attribute </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="addd50468f79e01d5d37e5e68fd1ab10c"></a><!-- doxytag: member="php4DOMElement::tagname" ref="addd50468f79e01d5d37e5e68fd1ab10c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">php4DOMElement::tagname </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/phpcas/CAS/<a class="el" href="domxml-php4-php5_8php.html">domxml-php4-php5.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
